Page MenuHomePhabricator

[OpenMP] Add OMP_ALLOCATOR env variable for OpenMP 5.1
ClosedPublic

Authored by Nawrin on Jan 19 2021, 10:37 AM.

Details

Summary

This patch sets the def-allocator-var ICV based on the env variables provided in OMP_ALLOCATOR. Previously, only allowed value for OMP_ALLOCATOR was a predefined memory allocator. Now, OMP_ALLOCATOR accepts predefined memory allocator, predefined mem space, or predefined mem space with traits based on 5.1 spec. If an allocator can not be created using the provided environment variables, the def-allocator-var is set to omp_default_mem_alloc.

Diff Detail

Event Timeline

Nawrin created this revision.Jan 19 2021, 10:37 AM
Nawrin requested review of this revision.Jan 19 2021, 10:37 AM
hbae accepted this revision.Jan 25 2021, 5:19 PM

LGTM

This revision is now accepted and ready to land.Jan 25 2021, 5:19 PM
This revision was landed with ongoing or failed builds.Jan 26 2021, 4:28 PM
This revision was automatically updated to reflect the committed changes.
hans added a subscriber: hans.Jan 28 2021, 3:26 AM

This broke the Windows build, and since it landed before the 12 branch, it's blocking the LLVM 12.0.0 release. Please take a look: https://bugs.llvm.org/show_bug.cgi?id=48919